Subject: [alpine-devel] new aport libmcrypt

From: "Carlo Landmeter" <[email-masked]>
Date: Sun, 08 Feb 2009 20:58:05 +0000

see attached git patch.

carlo

From 1ab136614b82b22bf78a47a8461f78da7a5e4607 Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <[email-masked]>
Date: Sun, 8 Feb 2009 20:50:44 +0000
Subject: [PATCH] extra/libmcrypt: new aport

---
 extra/libmcrypt/APKBUILD |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+), 0 deletions(-)
 create mode 100644 extra/libmcrypt/APKBUILD

diff --git a/extra/libmcrypt/APKBUILD b/extra/libmcrypt/APKBUILD
new file mode 100644
index 0000000..905d880
--- /dev/null
+++ b/extra/libmcrypt/APKBUILD
@@ -0,0 +1,24 @@
+# Contributor: Carlo Landmeter <clandmeter at gmail>
+# Maintainer: Carlo Landmeter <clandmeter at gmail>
+pkgname=libmcrypt
+pkgver=2.5.8
+pkgrel=0
+pkgdesc="A library which provides a uniform interface to several symmetric encryption algorithms"
+url="http://mcrypt.sourceforge.net/"
+license="GPL"
+depends="uclibc"
+makedepends="libtool uclibc++-dev"
+install=
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://downloads.sourceforge.net/mcrypt/${pkgname}-${pkgver}.tar.bz2"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure --prefix=/usr \
+		--mandir=/usr/share/man 
+	make || return 1
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="c4f491dd411a09e9de3b8702ea6f73eb  libmcrypt-2.5.8.tar.bz2"
-- 
1.6.1

---

From: Natanael Copa <[email-masked]>
Date: Mon, 09 Feb 2009 09:45:52 +0100

On Sun, 2009-02-08 at 20:58 +0000, Carlo Landmeter wrote:
> see attached git patch.
> 
> carlo
> 
> 
> 
> 
> 
> 
> 
> 
> differences
> between files
> attachment
> (0001-extra-libmcrypt-new-aport.patch)
> 

This looks suspicious. you have uclibc++-dev in make depends but not in
depends. This means that either is uclibc++ missing in the depends or is
the mcrypt configure script testing for g++ even if it does not need it.

Looking closer to this, its the configure script that checks for g++.
There is a nocxx.patch in extra/libogg, but it does not seem to solve
the issue. It would probably help to remove the AC_PROG_CXX in
configure.in and re-run autoconf/automake (after first run aclocal).
This is something for upstream to fix really.

I think you can just add g++ to makedepends rather than uclibc++-dev.
(in order to actually use uclibc++, you'd need to: export CXX=g++-uc)

I dont think you need libtool in the makedepends either. (Seems to work
here without it)

> +               --mandir=/usr/share/man 
trailing whitespace in the row over     ^^^

> +md5sums="c4f491dd411a09e9de3b8702ea6f73eb  libmcrypt-2.5.8.tar.bz2"

I'm committing it as is. If you want you can send a patch fixing the
mentioned issues. If you don't want, we just let it be and move on. :)

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---